summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2020-05-17 07:00:01 +0200
committerHans de Graaff <graaff@gentoo.org>2020-05-17 07:00:01 +0200
commit5317365d607d8f6bf99b32008774a88f0c12c9eb (patch)
tree85d0aaaf1dce0147409b1253a6209acfe006d465 /dev-ruby/minitest
parentprofiles/arch/x86: package.use.mask add kokkos mask (diff)
downloadgentoo-5317365d607d8f6bf99b32008774a88f0c12c9eb.tar.gz
gentoo-5317365d607d8f6bf99b32008774a88f0c12c9eb.tar.bz2
gentoo-5317365d607d8f6bf99b32008774a88f0c12c9eb.zip
dev-ruby/minitest: add 5.14.1
Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
Diffstat (limited to 'dev-ruby/minitest')
-rw-r--r--dev-ruby/minitest/Manifest1
-rw-r--r--dev-ruby/minitest/minitest-5.14.1.ebuild22
2 files changed, 23 insertions, 0 deletions
diff --git a/dev-ruby/minitest/Manifest b/dev-ruby/minitest/Manifest
index 877bf8f63a6..772c9e0ede7 100644
--- a/dev-ruby/minitest/Manifest
+++ b/dev-ruby/minitest/Manifest
@@ -3,3 +3,4 @@ DIST minitest-5.11.3.gem 79360 BLAKE2B c348957e094bd91e88c6dace522b8e88c37ec435d
DIST minitest-5.12.2.gem 82432 BLAKE2B fb8df3d5407a96b7be9611c19763a4480c20ac29aababc147f14f0684926806a76e2b38a75009a11cb2cb1e3ded371ef5b9275ddb87251496315f0ce023e4382 SHA512 7a14769e7eb1c4c950380da86a1e7ff8836f05bfb5b08216f4c0fe9e1709982e3f189fb579b1d74b307f6a17e3136d4ec3d7811562415942154a905364e1428e
DIST minitest-5.13.0.gem 83968 BLAKE2B 90f2bc20328a5522a51bcfee94d69e6fd03189190a04ee77499d574531e95b8f8b6652cc51a5917e51920f58c0f95465c27c5d69bab7aba01e02502ccf72ae38 SHA512 bdd0d665cfd6f6e36dcb1f2f069f5154a468f68eb4c41f5c39e3a3397644141d5e05024023b20fafbceb983b019b00a0ec6da98432f505cc8fd1cebc11cc1fca
DIST minitest-5.14.0.gem 84992 BLAKE2B 3bf733ae992e83af862773b6b76997b7a3262290c8239fe2871e9d55bfdd0a9c921a88965167a693794e064fcc2efdf9f6c111075f59921c55669fca1a8ada27 SHA512 4d65cbc96fe96bd79fd1dce36ce3b72d8e01efc12dcfeb6264075bb36430110f1c8fb519e0885e3449379fb5237cbdf7e24803ef49034e46ddf1d3a24c56b45f
+DIST minitest-5.14.1.gem 84992 BLAKE2B 1bc258ea21ff887381ce9d13ea08f07d6242bf1daa8e65063ac9bfa41c5a9363d0c7e25356d803e780814fcc62c54b9f62e76c7db8e0666f19dbb52bd94e171d SHA512 57a205ce8f71a494d9d8b0343cbc39f8d3ee22f33145b53b6b0bebebc0a2ed542eba3e1df91bf115be0910f0c2e65d5c24be6b595f13e6ccbbe417e06c54ffce
diff --git a/dev-ruby/minitest/minitest-5.14.1.ebuild b/dev-ruby/minitest/minitest-5.14.1.ebuild
new file mode 100644
index 00000000000..59e6973c806
--- /dev/null
+++ b/dev-ruby/minitest/minitest-5.14.1.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="History.rdoc README.rdoc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="minitest/unit is a small and fast replacement for ruby's huge and slow test/unit"
+HOMEPAGE="https://github.com/seattlerb/minitest"
+
+LICENSE="MIT"
+SLOT="5"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc test"
+
+each_ruby_test() {
+ ${RUBY} -Ilib:test:. -e "Dir['**/test_*.rb'].each{|f| require f}" || die "Tests failed"
+}